#!/bin/bash
showUser=$1
runUser=$2

if [ ! $DISPLAY ]; then
    export DISPLAY=`who|grep $showUser|awk -F\( '{print $2}'|awk -F\) '{print $1}'`
fi
if [ ! $LANG ]; then
	export LANG=zh_CN.UTF-8
fi
if [ ! $XAUTHORITY ]; then
	if [ -d "/home/$showUser/.Xauthority/" ]; then
    	export XAUTHORITY=/home/$showUser/.Xauthority
	fi
fi
env
xhost +
xhost +SI:localuser:$runuser
xhost