#!/bin/bash

# WatchData主目录ROOT
PRODUCT_NAME=com.watchdata.pabank
DDIR_ROOT=/opt/apps/$PRODUCT_NAME
DDIR_FILES=$DDIR_ROOT/files
# 注册到firefox的P11模块名
P11_MODEL_NAME=WD_PKCS11_pabank

function removeFromPath () {
    remove_path=$1/pkcs11.txt
    user=$2
    # echo "remove_path=$remove_path, user=$user"
    # if [ -f /usr/bin/modutil ]; then
    #     echo "modutil -dbdir sql:${remove_path} -delete "$P11_MODEL_NAME" -force"
    #     modutil -dbdir sql:${remove_path} -delete "$P11_MODEL_NAME" -force
    # else
    #     echo "$DDIR_FILES/bin/modutil -dbdir sql:${remove_path} -delete "$P11_MODEL_NAME" -force"
    #     $DDIR_FILES/bin/modutil -dbdir sql:${remove_path} -delete "$P11_MODEL_NAME" -force
    # fi

    echo "sudo sed -i '/'$PRODUCT_NAME'/d' $remove_path"
    sudo sed -i '/'$PRODUCT_NAME'/d' $remove_path
    echo "sudo sed -i '/'$P11_MODEL_NAME'/d' $remove_path"
    sudo sed -i '/'$P11_MODEL_NAME'/d' $remove_path

    echo "sudo chown $user:$user $remove_path -R"
    sudo chown $user:$user $remove_path -R
    echo "sudo chmod 777 $remove_path -R"
    sudo chmod 777 $remove_path -R
}

#find all pkcs11.txt
p11list=`sudo find /home -name pkcs11.txt`
#for each pkcs11.txt
for curp11 in $p11list
do
    echo "curp11=${curp11}"
    tmp1=${curp11#*/home/}
    echo "tmp1=${tmp1}"
    curusr=${tmp1%%/*}
    echo "curusr=${curusr}"
    if [[ "${curusr}" != "auditadm" ]] && [[ "${curusr}" != "secadm" ]]; then
        removeFromPath ${curp11%/*} $curusr
    fi
done

p11list=`sudo find /root -name pkcs11.txt`
for curp11 in $p11list
do
    echo "curp11=${curp11}"
    path=${curp11%/*}
    echo "path=${path}"
    removeFromPath $path "root"
done